Skip to main content
POST
Create inference API key

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

Body

application/json
name
string
required

Name of the API Key.

Required string length: 4 - 63
Pattern: ^[a-z0-9]([-a-z0-9]*[a-z0-9])?(\.[a-z0-9]([-a-z0-9]*[a-z0-9])?)*$
Example:

"my-api-key"

description
string

Description of the API Key.

Maximum string length: 300
Example:

"This key is used for accessing the inference service."

expires_at
string

Expiration date of the API Key in ISO 8601 format.

Example:

"2024-10-01T12:00:00Z"

Response

200 - application/json

OK

created_at
string
required

Timestamp when the API Key was created.

Example:

"2023-10-01T12:00:00Z"

deployment_names
string[]
required

List of inference deployment names to which this API Key has been attached.

Example:
description
string | null
required

Description of the API Key.

Example:

"This key is used for accessing the inference service."

expires_at
string | null
required

Timestamp when the API Key will expire.

Example:

"2024-10-01T12:00:00Z"

name
string
required

API Key name.

Example:

"my-api-key"

secret
string
required

The actual API Key secret.

Example:

"qLyjWDarjtT1zdp7dc"